Subject: Re: [Bitcoin-development] Alert System

From: John Smith <[email-masked]>
Date: Thu, 8 Sep 2011 17:33:15 +0000

Be careful though, if you relay everything, it suddenly *does* have DDoS
potential...

JS

On Thu, Sep 8, 2011 at 5:15 PM, Luke-Jr <[email-masked]> wrote:

> On Thursday, September 08, 2011 12:51:02 PM Mike Hearn wrote:
> > Bitcoin is one of the few pieces of software I use that has no concept of
> > automatic updates or even notifications at all. Yet the network badly
> > relies on people upgrading for stability, scalability and to enable new
> > features.
> >
> > If the alert system goes away, it'd just end up being replaced by polling
> > something over HTTP, which is less decentralized than before. Having zero
> > way to communicate upgrades to end-users is a non-starter for anything
> > serious about mass market penetration.
>
> In fact, I think the alert system should relay (note, NOT display) messages
> *regardless of the key used*, so it isn't yet another "our client gets
> special
> status" thing, and can be used for other clients as well.
>